<container id="camera_ui">

<action on="my_empty_action ">
  <!--this is an empty action so do not declare any animations here-->
</action>

		<image id="blind_control1" rendering="q" opacity="{blind_control1_opacity}" x="{blind_control1_x}" y="{blind_control1_y}" width="{blind_control1_width}" height="{blind_control1_height}" src="blind_control1_bitmap" />
		<image id="blind_control2" rendering="q" opacity="{blind_control2_opacity}" x="{blind_control2_x}" y="{blind_control2_y}" width="{blind_control2_width}" height="{blind_control2_height}" src="blind_control2_bitmap" />
		<image id="menubar_bg_left" rendering="q" opacity="{menubar_bg_left_opacity}" x="{menubar_bg_left_x}" y="{menubar_bg_left_y}" width="{menubar_bg_left_width}" height="{menubar_bg_left_height}" src="menubar_bg_left_bitmap" />
		<image id="touchbar_bg_right" rendering="q" opacity="{touchbar_bg_right_opacity}" x="{touchbar_bg_right_x}" y="{touchbar_bg_right_y}" width="{touchbar_bg_right_width}" height="{touchbar_bg_right_height}" src="touchbar_bg_right_bitmap" />
		<image id="focusing_indicator" rendering="q" opacity="{focusing_indicator_opacity}" x="{focusing_indicator_x}" y="{focusing_indicator_y}" width="{focusing_indicator_width}" height="{focusing_indicator_height}" src="focusing_indicator_bitmap" />
		<image id="vf_imageOrvideo_state_ind" rendering="q" opacity="{vf_imageOrvideo_state_ind_opacity}" x="{vf_imageOrvideo_state_ind_x}" y="{vf_imageOrvideo_state_ind_y}" width="{vf_imageOrvideo_state_ind_width}" height="{vf_imageOrvideo_state_ind_height}" src="vf_imageOrvideo_state_ind_bitmap" />
<!-- softkeys -->
       <image id="back_sk" rendering="q" opacity="{back_sk_opacity}" x="{back_sk_x}" y="{back_sk_y}" width="{back_sk_width}" height="{back_sk_height}" src="back_sk_bitmap" />
       	<image id="RemainNumberIndicator" rendering="q" opacity="{RemainNumberIndicator_opacity}" x="{RemainNumberIndicator_x}" y="{RemainNumberIndicator_y}" width="{RemainNumberIndicator_width}" height="{RemainNumberIndicator_height}" src="RemainNumberIndicator_bitmap" />
       	
<!-- freezemode menubar-->       	
 		<image id="FreezeModeMenubar1" rendering="q" opacity="{FreezeModeMenubar1_opacity}" x="{FreezeModeMenubar1_x}" y="{FreezeModeMenubar1_y}" width="{FreezeModeMenubar1_width}" height="{FreezeModeMenubar1_height}" src="FreezeModeMenubar1_bitmap" />
		<image id="fmb_back" rendering="q" opacity="{fmb_back_opacity}" x="{fmb_back_x}" y="{fmb_back_y}" width="{fmb_back_width}" height="{fmb_back_height}" src="fmb_back_bitmap" />
		<image id="fmb_del" rendering="q" opacity="{fmb_del_opacity}" x="{fmb_del_x}" y="{fmb_del_y}" width="{fmb_del_width}" height="{fmb_del_height}" src="fmb_del_bitmap" />
		<image id="fmb_send" rendering="q" opacity="{fmb_send_opacity}" x="{fmb_send_x}" y="{fmb_send_y}" width="{fmb_send_width}" height="{fmb_send_height}" src="fmb_send_bitmap" />
		<image id="fmb_extension" rendering="q" opacity="{fmb_extension_opacity}" x="{fmb_extension_x}" y="{fmb_extension_y}" width="{fmb_extension_width}" height="{fmb_extension_height}" src="fmb_extension_bitmap" />
	
 		<image id="StaticImage2" rendering="q" opacity="{StaticImage2_opacity}" x="{StaticImage2_x}" y="{StaticImage2_y}" width="{StaticImage2_width}" height="{StaticImage2_height}" src="StaticImage2_bitmap" />  
 		<image id="StaticImage3" rendering="q" opacity="{StaticImage3_opacity}" x="{StaticImage3_x}" y="{StaticImage3_y}" width="{StaticImage3_width}" height="{StaticImage3_height}" src="StaticImage3_bitmap" />  
		<image id="down_status_indicator" rendering="q" opacity="{down_status_indicator_opacity}" x="{down_status_indicator_x}" y="{down_status_indicator_y}" width="{down_status_indicator_width}" height="{down_status_indicator_height}" src="down_status_indicator_bitmap" />
		<image id="up_status_indicator" rendering="q" opacity="{up_status_indicator_opacity}" x="{up_status_indicator_x}" y="{up_status_indicator_y}" width="{up_status_indicator_width}" height="{up_status_indicator_height}" src="up_status_indicator_bitmap" />
 		<image id="bup_status_indicator" rendering="q" opacity="{bup_status_indicator_opacity}" x="{bup_status_indicator_x}" y="{bup_status_indicator_y}" width="{bup_status_indicator_width}" height="{bup_status_indicator_height}" src="bup_status_indicator_bitmap" />
 		<image id="videoup_status_indicator" rendering="q" opacity="{videoup_status_indicator_opacity}" x="{videoup_status_indicator_x}" y="{videoup_status_indicator_y}" width="{videoup_status_indicator_width}" height="{videoup_status_indicator_height}" src="videoup_status_indicator_bitmap" />
 		<image id="videodown_status_indicator" rendering="q" opacity="{videodown_status_indicator_opacity}" x="{videodown_status_indicator_x}" y="{videodown_status_indicator_y}" width="{videodown_status_indicator_width}" height="{videodown_status_indicator_height}" src="videodown_status_indicator_bitmap" />
 		<image id="focus_control" rendering="q" opacity="{focus_control_opacity}" x="{focus_control_x}" y="{focus_control_y}" width="{focus_control_width}" height="{focus_control_height}" src="focus_control_bitmap" />
 		<image id="touchfoucs_image" rendering="q" opacity="{touchfocus_image_opacity}" x="{touchfocus_image_x}" y="{touchfocus_image_y}" width="{touchfocus_image_width}" height="{touchfocus_image_height}" src="touchfocus_image_bitmap" />
 		<image id="focus_image" rendering="q" opacity="{focus_image_opacity}" x="{focus_image_x}" y="{focus_image_y}" width="{focus_image_width}" height="{focus_image_height}" src="focus_image_bitmap" />
 		<image id="blink_image" rendering="q" opacity="{blink_image_opacity}" x="{blink_image_x}" y="{blink_image_y}" width="{blink_image_width}" height="{blink_image_height}" src="blink_image_bitmap" />
 		<image id="smile_indicator" rendering="q" opacity="{smile_indicator_opacity}" x="{smile_indicator_x}" y="{smile_indicator_y}" width="{smile_indicator_width}" height="{smile_indicator_height}" src="smile_indicator_bitmap" />
 		<image id="blinker_flash" rendering="q" opacity="{blinker_flash_opacity}" x="{blinker_flash_x}" y="{blinker_flash_y}" width="{blinker_flash_width}" height="{blinker_flash_height}" src="blinker_flash_bitmap" />
 		<!-- blinker -->
 		<image id="blinker_control" rendering="q" opacity="{blinker_control_opacity}" x="{blinker_control_x}" y="{blinker_control_y}" width="{blinker_control_width}" height="{blinker_control_height}" src="blinker_control_bitmap" />
 		
 		<!-- smileInd -->
 		<image id="smileind_flash" rendering="q" opacity="{smileind_flash_opacity}" x="{smileind_flash_x}" y="{smileind_flash_y}" width="{smileind_flash_width}" height="{smileind_flash_height}" src="smileind_flash_bitmap" />
        <image id="smileind_control" rendering="q" opacity="{smileind_control_opacity}" x="{smileind_control_x}" y="{smileind_control_y}" width="{smileind_control_width}" height="{smileind_control_height}" src="smileind_control_bitmap" />
 		
        <!-- setup menu button -->
        <image id="setup_menu_button" rendering="q" opacity="{setup_menu_button_opacity}" x="{setup_menu_button_x}" y="{setup_menu_button_y}" width="{setup_menu_button_width}" height="{setup_menu_button_height}" src="setup_menu_button_bitmap" />
        <!-- back button -->
        <image id="back_button" rendering="q" opacity="{back_button_opacity}" x="{back_button_x}" y="{back_button_y}" width="{back_button_width}" height="{back_button_height}" src="back_button_bitmap" />
        <!-- middle button -->
        <image id="middle_button" rendering="q" opacity="{middle_button_opacity}" x="{middle_button_x}" y="{middle_button_y}" width="{middle_button_width}" height="{middle_button_height}" src="middle_button_bitmap" />         
		<!-- exit button -->
 		<image id="exit_button" rendering="q" opacity="{exit_button_opacity}" x="{exit_button_x}" y="{exit_button_y}" width="{exitbutton_width}" height="{exit_button_height}" src="exit_button_bitmap" />
		<!-- play button -->
 		<image id="play_button" rendering="q" opacity="{play_button_opacity}" x="{play_button_x}" y="{play_button_y}" width="{play_button_width}" height="{play_button_height}" src="play_button_bitmap" />

		<!-- stop button -->
		<image id="stop_button" rendering="q" opacity="{stop_button_opacity}" x="{stop_button_x}" y="{stop_button_y}" width="{stop_button_width}" height="{stop_button_height}" src="stop_button_bitmap" />
		<!-- pause button -->
		<image id="pause_button" rendering="q" opacity="{pause_button_opacity}" x="{pause_button_x}" y="{pause_button_y}" width="{pause_button_width}" height="{pause_button_height}" src="pause_button_bitmap" />
		<!-- resume button -->
		<image id="resume_button" rendering="q" opacity="{resume_button_opacity}" x="{resume_button_x}" y="{resume_button_y}" width="{resume_button_width}" height="{resume_button_height}" src="resume_button_bitmap" />
		<!-- ok button -->
		<image id="ok_button" rendering="q" opacity="{ok_button_opacity}" x="{ok_button_x}" y="{ok_button_y}" width="{ok_button_width}" height="{ok_button_height}" src="ok_button_bitmap" />
		<!-- mark all button -->
		<image id="markall_button" rendering="q" opacity="{markall_button_opacity}" x="{markall_button_x}" y="{markall_button_y}" width="{markall_button_width}" height="{markall_button_height}" src="markall_button_bitmap" />
		<!-- unmark all button -->
		<image id="unmarkall_button" rendering="q" opacity="{unmarkall_button_opacity}" x="{unmarkall_button_x}" y="{unmarkall_button_y}" width="{unmarkall_button_width}" height="{unmarkall_button_height}" src="unmarkall_button_bitmap" />
		<!-- check box button -->
		<image id="checkbox_button" rendering="q" opacity="{checkbox_button_opacity}" x="{checkbox_button_x}" y="{checkbox_button_y}" width="{checkbox_button_width}" height="{checkbox_button_height}" src="checkbox_button_bitmap" />

		<!-- video viewfinder HQ indicators -->
		<image id="video_vf_hq_state" rendering="q" opacity="{video_vf_hq_state_opacity}" x="{video_vf_hq_state_x}" y="{video_vf_hq_state_y}" width="{video_vf_hq_state_width}" height="{video_vf_hq_state_height}" src="video_vf_hq_state_bitmap" />
		<image id="video_vf_hq_rec_time" rendering="q" opacity="{video_vf_hq_rec_time_opacity}" x="{video_vf_hq_rec_time_x}" y="{video_vf_hq_rec_time_y}" width="{video_vf_hq_rec_time_width}" height="{video_vf_hq_rec_time_height}" src="video_vf_hq_rec_time_bitmap" />
		<image id="video_vf_hq_slash" rendering="q" opacity="{video_vf_hq_slash_opacity}" x="{video_vf_hq_slash_x}" y="{video_vf_hq_slash_y}" width="{video_vf_hq_slash_width}" height="{video_vf_hq_slash_height}" src="video_vf_hq_slash_bitmap" />
		<image id="video_vf_hq_rem_time" rendering="q" opacity="{video_vf_hq_rem_time_opacity}" x="{video_vf_hq_rem_time_x}" y="{video_vf_hq_rem_time_y}" width="{video_vf_hq_rem_time_width}" height="{video_vf_hq_rem_time_height}" src="video_vf_hq_rem_time_bitmap" />

		<!-- video viewfinder MMS indicators -->
		<image id="video_vf_mms_state" rendering="q" opacity="{video_vf_mms_state_opacity}" x="{video_vf_mms_state_x}" y="{video_vf_mms_state_y}" width="{video_vf_mms_state_width}" height="{video_vf_mms_state_height}" src="video_vf_mms_state_bitmap" />
		<image id="video_vf_mms_progressbar" rendering="q" opacity="{video_vf_mms_progressbar_opacity}" x="{video_vf_mms_progressbar_x}" y="{video_vf_mms_progressbar_y}" width="{video_vf_mms_progressbar_width}" height="{video_vf_mms_progressbar_height}" src="video_vf_mms_progressbar_bitmap" />
		<image id="video_vf_mms_rec_time" rendering="q" opacity="{video_vf_mms_rec_time_opacity}" x="{video_vf_mms_rec_time_x}" y="{video_vf_mms_rec_time_y}" width="{video_vf_mms_rec_time_width}" height="{video_vf_mms_rec_time_height}" src="video_vf_mms_rec_time_bitmap" />

<!-- zoom bar -->	
		<image id="zoombar" rendering="q" opacity="{checkbox_button_opacity}" x="{zoombar_x}" y="{zoombar_y}" width="{zoombar_width}" height="{zoombar_height}" src="zoombar_bitmap" />
		<image id="zoombar_block" rendering="q" opacity="{zoombar_block_opacity}" x="{zoombar_block_x}" y="{zoombar_block_y}" width="{zoombar_block_width}" height="{zoombar_block_height}" src="zoombar_block_bitmap" />
		<image id="zoombar_cursor" rendering="q" opacity="{zoombar_cursor_opacity}" x="{zoombar_cursor_x}" y="{zoombar_cursor_y}" width="{zoombar_cursor_width}" height="{zoombar_cursor_height}" src="zoombar_cursor_bitmap" />
		<image id="zoombar_icn" rendering="q" opacity="{zoombar_icn_opacity}" x="{zoombar_icn_x}" y="{zoombar_icn_y}" width="{zoombar_icn_width}" height="{zoombar_icn_height}" src="zoombar_icn_bitmap" />


<!-- menu pane -->	  
<!--	  <image id="imagemenupane" rendering="q" opacity="{image_menupane_opacity}" x="{image_menupane_x}" y="{image_menupane_y}" width="{image_menupane_width}" height="{image_menupane_height}" src="image_menupane_bitmap" />  -->
<!--	  <image id="videomenupane" rendering="q" opacity="{video_menupane_opacity}" x="{video_menupane_x}" y="{video_menupane_y}" width="{video_menupane_width}" height="{video_menupane_height}" src="video_menupane_bitmap" />  -->

<!-- menu pages -->
	  <image id="capturemodepage" rendering="q" opacity="{capturemodepage_opacity}" x="{capturemodepage_x}" y="{capturemodepage_y}" width="{capturemodepage_width}" height="{capturemodepage_height}" src="capturemodepage_bitmap" />
	  <image id="imagescenespage" rendering="q" opacity="{imagescenespage_opacity}" x="{imagescenespage_x}" y="{imagescenespage_y}" width="{imagescenespage_width}" height="{imagescenespage_height}" src="imagescenespage_bitmap" />
	  <image id="imageflashpage" rendering="q" opacity="{imageflashpage_opacity}" x="{imageflashpage_x}" y="{imageflashpage_y}" width="{imageflashpage_width}" height="{imageflashpage_height}" src="imageflashpage_bitmap" />
	  <image id="imageexposurepage" rendering="q" opacity="{imageexposurepage_opacity}" x="{imageexposurepage_x}" y="{imageexposurepage_y}" width="{imageexposurepage_width}" height="{imageexposurepage_height}" src="imageexposurepage_bitmap" />
	  <image id="nightmodepage" rendering="q" opacity="{nightmodepage_opacity}" x="{nightmodepage_x}" y="{nightmodepage_y}" width="{nightmodepage_width}" height="{nightmodepage_height}" src="nightmodepage_bitmap" />
	  <image id="microphonepage" rendering="q" opacity="{microphonepage_opacity}" x="{microphonepage_x}" y="{microphonepage_y}" width="{microphonepage_width}" height="{microphonepage_height}" src="microphonepage_bitmap" />
	  <image id="lightpage" rendering="q" opacity="{lightpage_opacity}" x="{lightpage_x}" y="{lightpage_y}" width="{lightpage_width}" height="{lightpage_height}" src="lightpage_bitmap" />
	  <image id="videoexposurepage" rendering="q" opacity="{videoexposurepage_opacity}" x="{videoexposurepage_x}" y="{videoexposurepage_y}" width="{videoexposurepage_width}" height="{videoexposurepage_height}" src="videoexposurepage_bitmap" />
	  <image id="imagefocuspage" rendering="q" opacity="{imagefocuspage_opacity}" x="{imagefocuspage_x}" y="{imagefocuspage_y}" width="{imagefocuspage_width}" height="{imagefocuspage_height}" src="imagefocuspage_bitmap" />
	  <image id="videofocuspage" rendering="q" opacity="{videofocuspage_opacity}" x="{videofocuspage_x}" y="{videofocuspage_y}" width="{videofocuspage_width}" height="{videofocuspage_height}" src="videofocuspage_bitmap" />

<!-- menu pages labels --> 
	  <image id="capturemodelabel" rendering="q" opacity="{capturemodelabel_opacity}" x="{capturemodelabel_x}" y="{capturemodelabel_y}" width="{capturemodelabel_width}" height="{capturemodelabel_height}" src="capturemodelabel_bitmap" />
	  <image id="imagesceneslabel" rendering="q" opacity="{imagesceneslabel_opacity}" x="{imagesceneslabel_x}" y="{imagesceneslabel_y}" width="{imagesceneslabel_width}" height="{imagesceneslabel_height}" src="imagesceneslabel_bitmap" />
	  <image id="imageflashlabel" rendering="q" opacity="{imageflashlabel_opacity}" x="{imageflashlabel_x}" y="{imageflashlabel_y}" width="{imageflashlabel_width}" height="{imageflashlabel_height}" src="imageflashlabel_bitmap" />
      <image id="nightmodelabel" rendering="q" opacity="{nightmodelabel_opacity}" x="{nightmodelabel_x}" y="{nightmodelabel_y}" width="{nightmodelabel_width}" height="{nightmodelabel_height}" src="nightmodelabel_bitmap" />
	  <image id="microphonelabel" rendering="q" opacity="{microphonelabel_opacity}" x="{microphonelabel_x}" y="{microphonelabel_y}" width="{microphonelabel_width}" height="{microphonelabel_height}" src="microphonelabel_bitmap" />
	  <image id="lightlabel" rendering="q" opacity="{lightlabel_opacity}" x="{lightlabel_x}" y="{lightlabel_y}" width="{lightlabel_width}" height="{lightlabel_height}" src="lightlabel_bitmap" />
	  <image id="imagefocuslabel" rendering="q" opacity="{imagefocuslabel_opacity}" x="{imagefocuslabel_x}" y="{imagefocuslabel_y}" width="{imagefocuslabel_width}" height="{imagefocuslabel_height}" src="imagefocuslabel_bitmap" />
	  <image id="videofocuslabel" rendering="q" opacity="{videofocuslabel_opacity}" x="{videofocuslabel_x}" y="{videofocuslabel_y}" width="{videofocuslabel_width}" height="{videofocuslabel_height}" src="videofocuslabel_bitmap" />

<!-- image menu pane items -->	  
	  <image id="imagemenupaneitem1" rendering="q" opacity="{image_menupaneitem1_opacity}" x="{image_menupaneitem1_x}" y="{image_menupaneitem1_y}" width="{image_menupaneitem1_width}" height="{image_menupaneitem1_height}" src="image_menupaneitem1_bitmap" />  
	  <image id="imagemenupaneitem2" rendering="q" opacity="{image_menupaneitem2_opacity}" x="{image_menupaneitem2_x}" y="{image_menupaneitem2_y}" width="{image_menupaneitem2_width}" height="{image_menupaneitem2_height}" src="image_menupaneitem2_bitmap" />  
	  <image id="imagemenupaneitem3" rendering="q" opacity="{image_menupaneitem3_opacity}" x="{image_menupaneitem3_x}" y="{image_menupaneitem3_y}" width="{image_menupaneitem3_width}" height="{image_menupaneitem3_height}" src="image_menupaneitem3_bitmap" />  
	  <image id="imagemenupaneitem4" rendering="q" opacity="{image_menupaneitem4_opacity}" x="{image_menupaneitem4_x}" y="{image_menupaneitem4_y}" width="{image_menupaneitem4_width}" height="{image_menupaneitem4_height}" src="image_menupaneitem4_bitmap" />  
	  <image id="imagemenupaneitem5" rendering="q" opacity="{image_menupaneitem5_opacity}" x="{image_menupaneitem5_x}" y="{image_menupaneitem5_y}" width="{image_menupaneitem5_width}" height="{image_menupaneitem5_height}" src="image_menupaneitem5_bitmap" />  

<!-- image menu pane labels -->	  
	  <image id="imagemenupanelabel1" rendering="q" opacity="{image_menupanelabel1_opacity}" x="{image_menupanelabel1_x}" y="{image_menupanelabel1_y}" width="{image_menupanelabel1_width}" height="{image_menupanelabel1_height}" src="image_menupanelabel1_bitmap" /> 
	  <image id="imagemenupanelabel2" rendering="q" opacity="{image_menupanelabel2_opacity}" x="{image_menupanelabel2_x}" y="{image_menupanelabel2_y}" width="{image_menupanelabel2_width}" height="{image_menupanelabel2_height}" src="image_menupanelabel2_bitmap" />  
	  <image id="imagemenupanelabel3" rendering="q" opacity="{image_menupanelabel3_opacity}" x="{image_menupanelabel3_x}" y="{image_menupanelabel3_y}" width="{image_menupanelabel3_width}" height="{image_menupanelabel3_height}" src="image_menupanelabel3_bitmap" />  
	  <image id="imagemenupanelabel4" rendering="q" opacity="{image_menupanelabel4_opacity}" x="{image_menupanelabel4_x}" y="{image_menupanelabel4_y}" width="{image_menupanelabel4_width}" height="{image_menupanelabel4_height}" src="image_menupanelabel4_bitmap" />  
<!--	  <image id="imagemenupanelabel5" rendering="q" opacity="{image_menupanelabel5_opacity}" x="{image_menupanelabel5_x}" y="{image_menupanelabel5_y}" width="{image_menupanelabel5_width}" height="{image_menupanelabel5_height}" src="image_menupanelabel5_bitmap" />  -->


<!-- Auto mode label -->	  
	  <image id="automodelabel" rendering="q" opacity="{automodelabel_opacity}" x="{automodelabel_x}" y="{automodelabel_y}" width="{automodelabel_width}" height="{automodelabel_height}" src="automodelabel_bitmap" /> 

<!-- image menu pane background -->	  
	  <image id="imagemenupanebackground" rendering="q" opacity="{image_menupanebackground_opacity}" x="{image_menupanebackground_x_from}" y="{image_menupanebackground_y}" width="{image_menupanebackground_width}" height="{image_menupanebackground_height}" src="image_menupanebackground_bitmap" />  


<!-- video menu pane items -->	  
	  <image id="videomenupaneitem1" rendering="q" opacity="{video_menupaneitem1_opacity}" x="{video_menupaneitem1_x}" y="{video_menupaneitem1_y}" width="{video_menupaneitem1_width}" height="{video_menupaneitem1_height}" src="video_menupaneitem1_bitmap" />  
	  <image id="videomenupaneitem2" rendering="q" opacity="{video_menupaneitem2_opacity}" x="{video_menupaneitem2_x}" y="{video_menupaneitem2_y}" width="{video_menupaneitem2_width}" height="{video_menupaneitem2_height}" src="video_menupaneitem2_bitmap" />  
	  <image id="videomenupaneitem3" rendering="q" opacity="{video_menupaneitem3_opacity}" x="{video_menupaneitem3_x}" y="{video_menupaneitem3_y}" width="{video_menupaneitem3_width}" height="{video_menupaneitem3_height}" src="video_menupaneitem3_bitmap" />  
	  <image id="videomenupaneitem4" rendering="q" opacity="{video_menupaneitem4_opacity}" x="{video_menupaneitem4_x}" y="{video_menupaneitem4_y}" width="{video_menupaneitem4_width}" height="{video_menupaneitem4_height}" src="video_menupaneitem4_bitmap" />  
	  <image id="videomenupaneitem5" rendering="q" opacity="{video_menupaneitem5_opacity}" x="{video_menupaneitem5_x}" y="{video_menupaneitem5_y}" width="{video_menupaneitem5_width}" height="{video_menupaneitem5_height}" src="video_menupaneitem5_bitmap" />  

<!-- video menu pane labels -->	  
	  <image id="videomenupanelabel1" rendering="q" opacity="{video_menupanelabel1_opacity}" x="{video_menupanelabel1_x}" y="{video_menupanelabel1_y}" width="{video_menupanelabel1_width}" height="{video_menupanelabel1_height}" src="video_menupanelabel1_bitmap" /> 
	  <image id="videomenupanelabel2" rendering="q" opacity="{video_menupanelabel2_opacity}" x="{video_menupanelabel2_x}" y="{video_menupanelabel2_y}" width="{video_menupanelabel2_width}" height="{video_menupanelabel2_height}" src="video_menupanelabel2_bitmap" /> 
	  <image id="videomenupanelabel3" rendering="q" opacity="{video_menupanelabel3_opacity}" x="{video_menupanelabel3_x}" y="{video_menupanelabel3_y}" width="{video_menupanelabel3_width}" height="{video_menupanelabel3_height}" src="video_menupanelabel3_bitmap" /> 
	  <image id="videomenupanelabel4" rendering="q" opacity="{video_menupanelabel4_opacity}" x="{video_menupanelabel4_x}" y="{video_menupanelabel4_y}" width="{video_menupanelabel4_width}" height="{video_menupanelabel4_height}" src="video_menupanelabel4_bitmap" />  
<!--	  <image id="videomenupanelabel5" rendering="q" opacity="{video_menupanelabel5_opacity}" x="{video_menupanelabel5_x}" y="{video_menupanelabel5_y}" width="{video_menupanelabel5_width}" height="{video_menupanelabel5_height}" src="video_menupanelabel5_bitmap" /> --> 

<!-- video menu pane background -->	  
	  <image id="videomenupanebackground" rendering="q" opacity="{video_menupanebackground_opacity}" x="{video_menupanebackground_x_from}" y="{video_menupanebackground_y}" width="{video_menupanebackground_width}" height="{video_menupanebackground_height}" src="video_menupanebackground_bitmap" />  

<!-- show image scenes page -->	
	<action id = "ShowScenesPage" on="show_imagescenespage" onEnd="gfx_end_animation">
	  <animate targetNode="imagescenespage" targetAttr="opacity" from="0" to="1" begin="0" dur="300" />
	  <animate targetNode="imagesceneslabel" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
	  <animate targetNode="imagemenupanelabel1" targetAttr="opacity" from="0" to="1" begin="0" dur="300" />   
	</action>

<!-- hide image scenes page -->	
  <action id = "HideScenesPage" on="hide_imagescenespage" onEnd="gfx_end_animation">
    <animate targetNode="imagemenupanebackground" targetAttr="x" from="0" to="-61" begin="0" dur="150" />
	<animate targetNode="imagescenespage" targetAttr="opacity" from="1" to="0" begin="0" dur="300" />
  </action>
  <action id = "HideScenesLabels" on="hide_imagescenespage" onEnd="gfx_end_animation">
    <animate targetNode="imagesceneslabel" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" /> 
    <animate targetNode="imagemenupanelabel1" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" />    
  </action>

<!--  show capturemode page --> 
  <action id = "ShowCaptureModePage" on="show_capturemodepage" onEnd="gfx_end_animation">
    <animate targetNode="capturemodepage" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
    <animate targetNode="capturemodelabel" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
    <animate targetNode="imagemenupanelabel2" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
  </action>

<!--  hide capturemode page --> 
  <action id = "HideCaptureModePage" on="hide_capturemodepage" onEnd="gfx_end_animation">
    <animate targetNode="imagemenupanebackground" targetAttr="x" from="0" to="-61" begin="0" dur="150" />
    <animate targetNode="capturemodepage" targetAttr="opacity" from="1" to="0" begin="0" dur="300" /> 
  </action>
  <action id = "HideCapturemodeLabels" on="hide_capturemodepage" onEnd="gfx_end_animation">
    <animate targetNode="capturemodelabel" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" /> 
    <animate targetNode="imagemenupanelabel2" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" /> 
  </action>
    

<!--  show image flash page --> 
  <action id = "ShowFlashPage" on="show_imageflashpage" onEnd="gfx_end_animation">
    <animate targetNode="imageflashpage" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
    <animate targetNode="imageflashlabel" targetAttr="opacity" from="0" to="1" begin="0" dur="300" />
    <animate targetNode="imagemenupanelabel3" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
  </action>

<!--  hide image flash page --> 
  <action id = "HideFlashPage" on="hide_imageflashpage" onEnd="gfx_end_animation">
    <animate targetNode="imagemenupanebackground" targetAttr="x" from="0" to="-61" begin="0" dur="150" />
    <animate targetNode="imageflashpage" targetAttr="opacity" from="1" to="0" begin="0" dur="300" /> 
  </action>
  <action id = "HideFlashLabels" on="hide_imageflashpage" onEnd="gfx_end_animation">
    <animate targetNode="imageflashlabel" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" /> 
    <animate targetNode="imagemenupanelabel3" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" /> 
  </action>
  
<!--  show image focus page --> 
  <action id = "ShowFocusPage" on="show_imagefocuspage" onEnd="gfx_end_animation">
    <animate targetNode="imagefocuspage" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
    <animate targetNode="imagefocuslabel" targetAttr="opacity" from="0" to="1" begin="0" dur="300" />
    <animate targetNode="imagemenupanelabel3" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
  </action>

<!--  hide image focus page --> 
  <action id = "HideFocusPage" on="hide_imagefocuspage" onEnd="gfx_end_animation">
    <animate targetNode="imagemenupanebackground" targetAttr="x" from="0" to="-61" begin="0" dur="150" />
    <animate targetNode="imagefocuspage" targetAttr="opacity" from="1" to="0" begin="0" dur="300" /> 
  </action>
  <action id = "HidefocusLabels" on="hide_imagefocuspage" onEnd="gfx_end_animation">
    <animate targetNode="imagefocuslabel" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" /> 
    <animate targetNode="imagemenupanelabel3" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" /> 
  </action>   
   
<!--  show video focus page --> 
  <action id = "ShowFocusPage" on="show_videofocuspage" onEnd="gfx_end_animation">
    <animate targetNode="videofocuspage" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
    <animate targetNode="videofocuslabel" targetAttr="opacity" from="0" to="1" begin="0" dur="300" />
    <animate targetNode="videomenupanelabel3" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
  </action>

<!--  hide video focus page --> 
  <action id = "HideFocusPage" on="hide_videofocuspage" onEnd="gfx_end_animation">
    <animate targetNode="videomenupanebackground" targetAttr="x" from="0" to="-61" begin="0" dur="150" />
    <animate targetNode="videofocuspage" targetAttr="opacity" from="1" to="0" begin="0" dur="300" /> 
  </action>
  <action id = "HidefocusLabels" on="hide_videofocuspage" onEnd="gfx_end_animation">
    <animate targetNode="videofocuslabel" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" /> 
    <animate targetNode="videomenupanelabel3" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" /> 
  </action>  
  
  
<!-- show image exposure page -->	
  <action id = "ShowImageEv" on="show_imageexposurepage" onEnd="gfx_end_animation">
	<animate targetNode="imageexposurepage" targetAttr="opacity" from="0" to="1" begin="0" dur="300" />
	<animate targetNode="imagemenupanelabel4" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
  </action>

<!-- hide image exposure page -->	
  <action id = "HideImageEv" on="hide_imageexposurepage" onEnd="gfx_end_animation">
    <animate targetNode="imagemenupanebackground" targetAttr="x" from="0" to="-61" begin="0" dur="150" />
	<animate targetNode="imageexposurepage" targetAttr="opacity" from="1" to="0" begin="0" dur="300" />
  </action>
  <action id = "HideImageEvLabels" on="hide_imageexposurepage" onEnd="gfx_end_animation">
	<animate targetNode="imagemenupanelabel4" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" />
  </action>

<!-- show night mode page -->	
	<action id = "ShowNightModePage" on="show_nightmodepage" onEnd="gfx_end_animation">
	  <animate targetNode="nightmodepage" targetAttr="opacity" from="0" to="1" begin="0" dur="300" />
	  <animate targetNode="nightmodelabel" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
	  <animate targetNode="videomenupanelabel1" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
	</action>

<!-- hide night mode page -->	
	<action id = "HideNightModePage" on="hide_nightmodepage" onEnd="gfx_end_animation">
	  <animate targetNode="imagemenupanebackground" targetAttr="x" from="0" to="-61" begin="0" dur="150" />
	  <animate targetNode="nightmodepage" targetAttr="opacity" from="1" to="0" begin="0" dur="300" />
	</action>
	<action id = "HideNightModeLabels" on="hide_nightmodepage" onEnd="gfx_end_animation">
      <animate targetNode="nightmodelabel" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" />
      <animate targetNode="videomenupanelabel1" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" />
	</action>

<!--  show microphone page --> 
  <action id = "ShowMicrophonePage"  on="show_microphonepage" onEnd="gfx_end_animation">
    <animate targetNode="microphonepage" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
    <animate targetNode="microphonelabel" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
    <animate targetNode="videomenupanelabel2" targetAttr="opacity" from="0" to="1" begin="0" dur="300" />  
  </action>

<!--  hide microphone page --> 
  <action id = "HideMicrophonePage" on="hide_microphonepage" onEnd="gfx_end_animation">
    <animate targetNode="imagemenupanebackground" targetAttr="x" from="0" to="-61" begin="0" dur="150" />
    <animate targetNode="microphonepage" targetAttr="opacity" from="1" to="0" begin="0" dur="300" /> 
  </action>
  <action id = "HideMicrophoneLabels" on="hide_microphonepage" onEnd="gfx_end_animation">
    <animate targetNode="microphonelabel" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" />
    <animate targetNode="videomenupanelabel2" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" />
  </action>
    

<!--  show video light page --> 
  <action id = "ShowLightPage" on="show_lightpage" onEnd="gfx_end_animation">
    <animate targetNode="lightpage" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
    <animate targetNode="lightlabel" targetAttr="opacity" from="0" to="1" begin="0" dur="300" /> 
    <animate targetNode="videomenupanelabel3" targetAttr="opacity" from="0" to="1" begin="0" dur="300" />
  </action>

<!--  hide video light page --> 
  <action id = "HideLightPage" on="hide_lightpage" onEnd="gfx_end_animation">
    <animate targetNode="imagemenupanebackground" targetAttr="x" from="0" to="-61" begin="0" dur="150" />
    <animate targetNode="lightpage" targetAttr="opacity" from="1" to="0" begin="0" dur="300" /> 
  </action>
  <action id = "HideLightLabels" on="hide_lightpage" onEnd="gfx_end_animation">
    <animate targetNode="lightlabel" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" /> 
    <animate targetNode="videomenupanelabel3" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" />  
  </action>
    
<!-- show video exposure page -->	
  <action id = "ShowVideoEv" on="show_videoexposurepage" onEnd="gfx_end_animation">
    <animate targetNode="videoexposurepage" targetAttr="opacity" from="0" to="1" begin="0" dur="300" />
    <animate targetNode="videomenupanelabel4" targetAttr="opacity" from="0" to="1" begin="0" dur="300" />
  </action>

<!-- hide video exposure page -->	
  <action id = "HideVideoEv"  on="hide_videoexposurepage" onEnd="gfx_end_animation">
    <animate targetNode="imagemenupanebackground" targetAttr="x" from="0" to="-61" begin="0" dur="150" />
	<animate targetNode="videoexposurepage" targetAttr="opacity" from="1" to="0" begin="0" dur="300" />
  </action>
  <action id = "HideVideoEvLabels"  on="hide_videoexposurepage" onEnd="gfx_end_animation">
	<animate targetNode="videomenupanelabel4" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" />
  </action>
						
<!-- show image menu pane labels and background -->	
	<action on="show_image_panebackground">
		<animate targetNode="imagemenupanebackground" targetAttr="x" from="-61" to="0" begin="0" dur="50" />			  
	</action>

<!-- Hide image menu pane labels and background -->	
	<action on="hide_image_panebackground">
		<animate targetNode="imagemenupanebackground" targetAttr="x" from="0" to="-61" begin="0" dur="50" />			  
	</action>



<!-- show image menu pane icons -->	
	<action id = "ImageIconShow" on="show_image_menupaneicons" onEnd="gfx_end_animation">
	  <animate targetNode="imagemenupaneitem1" targetAttr="y" from="{menupaneitem_y_to}" to="{image_menupaneitem1_y}" begin="0" dur="300" />
	  <animate targetNode="imagemenupaneitem2" targetAttr="y" from="{menupaneitem_y_to}" to="{image_menupaneitem2_y}" begin="0" dur="300" />
	  <animate targetNode="imagemenupaneitem3" targetAttr="y" from="{menupaneitem_y_to}" to="{image_menupaneitem3_y}" begin="0" dur="300" />
	  <animate targetNode="imagemenupaneitem4" targetAttr="y" from="{menupaneitem_y_to}" to="{image_menupaneitem4_y}" begin="0" dur="300" />
	</action>	
	
<!-- Hide image menu pane icons -->	
	<action id = "ImageIconHide" on="hide_image_menupaneicons" onEnd="gfx_end_animation">	
	  <animate targetNode="imagemenupaneitem1" targetAttr="y" from="{image_menupaneitem1_y}" to="{menupaneitem_y_to}" begin="0" dur="40" />
	  <animate targetNode="imagemenupaneitem2" targetAttr="y" from="{image_menupaneitem2_y}" to="{menupaneitem_y_to}" begin="40" dur="40" />
	  <animate targetNode="imagemenupaneitem3" targetAttr="y" from="{image_menupaneitem3_y}" to="{menupaneitem_y_to}" begin="80" dur="40" />
	  <animate targetNode="imagemenupaneitem4" targetAttr="y" from="{image_menupaneitem4_y}" to="{menupaneitem_y_to}" begin="120" dur="40" />
	</action>		
		
<!-- image auto mode icon press  -->	
	<action on="press_image_automode_icon">
	    <animate targetNode="imagemenupaneitem5" targetAttr="x" from="{image_menupaneitem5_x}" to="{auto_icon_max_x}" begin="0" dur="300" />
	    <animate targetNode="imagemenupaneitem5" targetAttr="y" from="{image_menupaneitem5_y}" to="{auto_icon_max_y}" begin="0" dur="300" />
	    <animate targetNode="imagemenupaneitem5" targetAttr="width" from="{image_menupaneitem5_width}" to="{auto_icon_max_width}" begin="0" dur="300" />
	    <animate targetNode="imagemenupaneitem5" targetAttr="height" from="{image_menupaneitem5_height}" to="{auto_icon_max_height}" begin="0" dur="300" />
	    <animate targetNode="imagemenupaneitem5" targetAttr="x" from="{auto_icon_max_x}" to="{image_menupaneitem5_x}" begin="300" dur="300" />
	    <animate targetNode="imagemenupaneitem5" targetAttr="y" from="{auto_icon_max_y}" to="{image_menupaneitem5_y}" begin="300" dur="300" />
	    <animate targetNode="imagemenupaneitem5" targetAttr="width" from="{auto_icon_max_width}" to="{image_menupaneitem5_width}" begin="300" dur="300" />
	    <animate targetNode="imagemenupaneitem5" targetAttr="height" from="{auto_icon_max_height}" to="{image_menupaneitem5_height}" begin="300" dur="300" />			  
	</action>

<!-- show auto mode label  -->	
	<action on="show_auto_mode_label">
	    <animate targetNode="automodelabel" targetAttr="opacity" from="1" to="0" begin="0" dur="1000" />
	</action>    

		    
<!-- show video menu pane labels and background -->	
	<action on="show_video_panebackground">
		<animate targetNode="videomenupanebackground" targetAttr="x" from="{menupanebackground_x_from}" to="{menupanebackground_x_to}" begin="0" dur="50" />			  
	</action>

<!-- Hide video menu pane labels and background -->	
	<action on="hide_video_panebackground">
		<animate targetNode="videomenupanebackground" targetAttr="x" from="{menupanebackground_x_to}" to="{menupanebackground_x_from}" begin="0" dur="50" />			  
	</action>



<!-- show video menu pane icons -->	
	<action id = "VideoIconShow" on="show_video_menupaneicons" onEnd="gfx_end_animation">
	  <animate targetNode="videomenupaneitem1" targetAttr="y" from="{menupaneitem_y_to}" to="{video_menupaneitem1_y}" begin="0" dur="300" />
	  <animate targetNode="videomenupaneitem2" targetAttr="y" from="{menupaneitem_y_to}" to="{video_menupaneitem2_y}" begin="0" dur="300" />
	  <animate targetNode="videomenupaneitem3" targetAttr="y" from="{menupaneitem_y_to}" to="{video_menupaneitem3_y}" begin="0" dur="300" />
	  <animate targetNode="videomenupaneitem4" targetAttr="y" from="{menupaneitem_y_to}" to="{video_menupaneitem4_y}" begin="0" dur="300" />
	</action>	
	
<!-- Hide video menu pane icons -->	
	<action id = "VideoIconHide" on="hide_video_menupaneicons" onEnd="gfx_end_animation">	
	  <animate targetNode="videomenupaneitem1" targetAttr="y" from="{video_menupaneitem1_y}" to="{menupaneitem_y_to}" begin="0" dur="300" />
	  <animate targetNode="videomenupaneitem2" targetAttr="y" from="{video_menupaneitem2_y}" to="{menupaneitem_y_to}" begin="0" dur="300" />
	  <animate targetNode="videomenupaneitem3" targetAttr="y" from="{video_menupaneitem3_y}" to="{menupaneitem_y_to}" begin="0" dur="300" />
	  <animate targetNode="videomenupaneitem4" targetAttr="y" from="{video_menupaneitem4_y}" to="{menupaneitem_y_to}" begin="0" dur="300" />
	</action>		
		
<!-- video auto mode icon press  -->	
	<action on="press_video_automode_icon">
	    <animate targetNode="videomenupaneitem5" targetAttr="x" from="{video_menupaneitem5_x}" to="{auto_icon_max_x}" begin="0" dur="300" />
	    <animate targetNode="videomenupaneitem5" targetAttr="y" from="{video_menupaneitem5_y}" to="{auto_icon_max_y}" begin="0" dur="300" />
	    <animate targetNode="videomenupaneitem5" targetAttr="width" from="{video_menupaneitem5_width}" to="{auto_icon_max_width}" begin="0" dur="300" />
	    <animate targetNode="videomenupaneitem5" targetAttr="height" from="{video_menupaneitem5_height}" to="{auto_icon_max_height}" begin="0" dur="300" />
	    <animate targetNode="videomenupaneitem5" targetAttr="x" from="{auto_icon_max_x}" to="{video_menupaneitem5_x}" begin="300" dur="300" />
	    <animate targetNode="videomenupaneitem5" targetAttr="y" from="{auto_icon_max_y}" to="{video_menupaneitem5_y}" begin="300" dur="300" />
	    <animate targetNode="videomenupaneitem5" targetAttr="width" from="{auto_icon_max_width}" to="{video_menupaneitem5_width}" begin="300" dur="300" />
	    <animate targetNode="videomenupaneitem5" targetAttr="height" from="{auto_icon_max_height}" to="{video_menupaneitem5_height}" begin="300" dur="300" />			  
	</action>	
	
<!-- Setting Menu Tab -->
	  <image id="setup_container" rendering="q" opacity="{setup_container_opacity}" x="{setup_container_x}" y="{setup_container_y}" width="{setup_container_width}" height="{setup_container_height}" src="setup_container_bitmap" />
	  <image id="tab_header_control"    rendering="q" opacity="{tab_header_control_opacity}" x="{tab_header_control_x}" y="{tab_header_control_y}" width="{tab_header_control_width}" height="{tab_header_control_height}" src="tab_header_control_bitmap" />
	  <image id="img_setup_tab" rendering="q" opacity="{img_setup_tab_opacity}" x="{img_setup_tab_x}" y="{img_setup_tab_y}" width="{img_setup_tab_width}" height="{img_setup_tab_height}" src="img_setup_tab_bitmap" />
	  <image id="video_setup_tab" rendering="q" opacity="{video_setup_tab_opacity}" x="{video_setup_tab_x}" y="{video_setup_tab_y}" width="{video_setup_tab_width}" height="{video_setup_tab_height}" src="video_setup_tab_bitmap" />
	  <image id="general_setup_tab" rendering="q" opacity="{general_setup_tab_opacity}" x="{general_setup_tab_x}" y="{general_setup_tab_y}" width="{general_setup_tab_width}" height="{general_setup_tab_height}" src="general_setup_tab_bitmap" />	  
	  <image id="scroll_bar"    rendering="q" opacity="{scroll_bar_opacity}" x="{scroll_bar_x}" y="{scroll_bar_y}" width="{scroll_bar_width}" height="{scroll_bar_height}" src="scroll_bar_bitmap" />
	  <image id="helpinfo_button" rendering="q" opacity="{info_button_opacity}" x="{info_button_x}" y="{info_button_y}" width="{info_button_width}" height="{info_button_height}" src="info_button_bitmap" />



<!--  show setupmenu --> 
  <action id = "SetupShow" on="show_image_setupmenu" onEnd="gfx_end_animation">
    <animate targetNode="img_setup_tab" targetAttr="opacity" from="{setupmenu_opacity_from}" to="{setupmenu_opacity_to}" begin="0" dur="300" /> 
    <animate targetNode="tab_header_control" targetAttr="opacity" from="{setupmenu_opacity_from}" to="{setupmenu_opacity_to}" begin="0" dur="300" /> 
    <animate targetNode="scroll_bar" targetAttr="opacity" from="{setupmenu_opacity_from}" to="{setupmenu_opacity_to}" begin="0" dur="300" /> 
  </action>
  
  <action id = "SetupShow" on="show_video_setupmenu" onEnd="gfx_end_animation">
    <animate targetNode="video_setup_tab" targetAttr="opacity" from="{setupmenu_opacity_from}" to="{setupmenu_opacity_to}" begin="0" dur="300" /> 
    <animate targetNode="tab_header_control" targetAttr="opacity" from="{setupmenu_opacity_from}" to="{setupmenu_opacity_to}" begin="0" dur="300" /> 
<!--     <animate id = "SetupShow" targetNode="scroll_bar" targetAttr="opacity" from="{setupmenu_opacity_from}" to="{setupmenu_opacity_to}" begin="0" dur="300" /> --> 
  </action>
  
<!--  hide setupmenu --> 
   <action id = "SetupHide" on="hide_image_setupmenu" onEnd="gfx_end_animation">
    <animate targetNode="img_setup_tab" targetAttr="opacity" from="{setupmenu_opacity_to}" to="{setupmenu_opacity_from}" begin="0" dur="300" /> 
    <animate targetNode="tab_header_control" targetAttr="opacity" from="{setupmenu_opacity_to}" to="{setupmenu_opacity_from}" begin="0" dur="300" /> 
    <animate targetNode="scroll_bar" targetAttr="opacity" from="{setupmenu_opacity_to}" to="{setupmenu_opacity_from}" begin="0" dur="300" /> 
    <animate targetNode="setup_container" targetAttr="opacity" from="1" to="0" begin="0" dur="300" /> 
  </action>  
  
  <action id = "SetupHide" on="hide_video_setupmenu" onEnd="gfx_end_animation">
    <animate targetNode="video_setup_tab" targetAttr="opacity" from="{setupmenu_opacity_to}" to="{setupmenu_opacity_from}" begin="0" dur="300" /> 
    <animate targetNode="tab_header_control" targetAttr="opacity" from="{setupmenu_opacity_to}" to="{setupmenu_opacity_from}" begin="0" dur="300" /> 
<!--     <animate id = "SetupHide" targetNode="scroll_bar" targetAttr="opacity" from="{setupmenu_opacity_to}" to="{setupmenu_opacity_from}" begin="0" dur="300" /> --> 
    <animate targetNode="setup_container" targetAttr="opacity" from="1" to="0" begin="0" dur="300" /> 
  </action>
    
  <action id = "SetupHide" on="hide_general_setupmenu" onEnd="gfx_end_animation">
    <animate targetNode="general_setup_tab" targetAttr="opacity" from="{setupmenu_opacity_to}" to="{setupmenu_opacity_from}" begin="0" dur="300" />     
    <animate targetNode="tab_header_control" targetAttr="opacity" from="{setupmenu_opacity_to}" to="{setupmenu_opacity_from}" begin="0" dur="300" /> 
    <animate targetNode="scroll_bar" targetAttr="opacity" from="{setupmenu_opacity_to}" to="{setupmenu_opacity_from}" begin="0" dur="300" /> 
    <animate targetNode="setup_container" targetAttr="opacity" from="1" to="0" begin="0" dur="300" /> 
  </action>
    
<!-- face detection -->
	  <image id="face_detection"    rendering="q" opacity="{face_detection_opacity}" x="{face_detection_x}" y="{face_detection_y}" width="{face_detection_width}" height="{face_detection_height}" src="face_detection_bitmap" />

<!-- smile shutter>
	  <image id="smile_shutter"    rendering="q" opacity="{smile_shutter_opacity}" x="{smile_shutter_x}" y="{smile_shutter_y}" width="{smile_shutter_width}" height="{smile_shutter_height}" src="smile_shutter_bitmap" />

<!-- autoroma -->
      <image id="autoroma_control" rendering="q" opacity="{autoroma_control_opacity}" x="{autoroma_control_x}" y="{autoroma_control_y}" width="{autoroma_control_width}" height="{autoroma_control_height}" src="autoroma_control_bitmap" />
      <image id="autoroma_image" rendering="q" opacity="{autoroma_image_opacity}" x="{autoroma_image_x}" y="{autoroma_image_y}" width="{autoroma_image_width}" height="{autoroma_image_height}" src="autoroma_image_bitmap" />
      <image id="autoindl_image" rendering="q" opacity="{autoindl_image_opacity}" x="{autoindl_image_x}" y="{autoindl_image_y}" width="{autoindl_image_width}" height="{autoindl_image_height}" src="autoindl_image_bitmap" />
      <image id="autoindr_image" rendering="q" opacity="{autoindr_image_opacity}" x="{autoindr_image_x}" y="{autoindr_image_y}" width="{autoindr_image_width}" height="{autoindr_image_height}" src="autoindr_image_bitmap" />
      <image id="autocover_image" rendering="q" opacity="{autocover_image_opacity}" x="{autocover_image_x}" y="{autocover_image_y}" width="{autocover_image_width}" height="{autocover_image_height}" src="autocover_image_bitmap" />

<!-- busy control -->
	 <image id="busybutton" rendering="q" opacity="{busybutton_opacity}" x="{busybutton_x}" y="{busybutton_y}" width="{busybutton_width}" height="{busybutton_height}" src="busybutton_bitmap" />
<!-- lens cover string -->
	 <image id="lenscover" rendering="q" opacity="{lenscover_opacity}" x="{lenscover_x}" y="{lenscover_y}" width="{lenscover_width}" height="{lenscover_height}" src="lenscover_bitmap" />
	
<!-- static ui -->
    <!-- init ui-->
    <action on="do_nothing">
    </action>
    <!-- still capture -->
    <action on="still_capture">
    </action>
    <!-- multishot capture -->
    <action on="mshot_capture">
    </action>
    <!-- panorama capture -->
    <action on="pan_capture">
    </action>
    <!-- video capture -->
    <action on="video_capture">
    </action>
    <!-- settings -->
    <action on="settings">
    </action>
    <!-- setup -->
    <action on="setup">
    </action>
</container>